set Getraenke;

var produktion { Getraenke };

param proStunde { Getraenke };
param gewinn { Getraenke };
param maximalproduktion { Getraenke };

param stunden;

maximize Gewinn: sum { g in Getraenke } produktion[g] * gewinn[g];

subject to Dauer: sum { g in Getraenke } produktion[g] / proStunde[g] <= stunden;
subject to Produktion { g in Getraenke }: 0 <= produktion[g] <= maximalproduktion[g];