minimize dummy: 0;

param m integer >= 1 default 3;
param n = m*m;

set N = 1..n;

param vorgabe {N, N} integer default 0;

var z {N, N, N} binary;
# z[i,j,k] = 1 genau dann wenn Zahl k an (i,j)

subject to

Eindeutigkeit {i in N, j in N}: sum {k in N} z[i,j,k] = 1;

Zeilen {i in N, k in N}: sum {j in N} z[i,j,k] = 1;
Spalten {j in N, k in N}: sum {i in N} z[i,j,k] = 1;
Quadrate {zeile in 0..m-1, spalte in 0..m-1, k in N}:
  sum {i in 1..m, j in 1..m} z[zeile*m+i, spalte*m+j, k] = 1;
  
Fixiert {i in N, j in N: vorgabe[i,j]<>0}: z[i,j,vorgabe[i,j]]=1;