set Quellen;
set Ziele;

var transport { Quellen, Ziele } >= 0;

param angebot { Quellen };
param nachfrage { Ziele };

param kosten { Quellen, Ziele };

#check sum { q in Quellen } angebot[q] = sum { z in Ziele } nachfrage[z];

minimize Kosten: sum { q in Quellen, z in Ziele } transport[q,z] * kosten[q,z];

subject to Angebot { q in Quellen }: sum { z in Ziele } transport[q,z] = angebot[q];
subject to Nachfrage { z in Ziele }: sum { q in Quellen } transport[q,z] = nachfrage[z];